summaryrefslogtreecommitdiff
path: root/dot_i3/i3lock-dpms
diff options
context:
space:
mode:
authorAlex Auvolat <alex@adnab.me>2016-10-09 20:29:14 +0200
committerAlex Auvolat <alex@adnab.me>2016-10-09 20:29:26 +0200
commit67889fd88a09fd409269bef434993fe9d536142c (patch)
tree8051362f28d3ccb15d37ce4552df8f1a22b4f46d /dot_i3/i3lock-dpms
parentb0bbd23a09dd82a4b4116cb4956a6377608692c6 (diff)
downloaduser-config-67889fd88a09fd409269bef434993fe9d536142c.tar.gz
user-config-67889fd88a09fd409269bef434993fe9d536142c.zip
add i3lock with dpms script
Diffstat (limited to 'dot_i3/i3lock-dpms')
-rwxr-xr-xdot_i3/i3lock-dpms9
1 files changed, 9 insertions, 0 deletions
diff --git a/dot_i3/i3lock-dpms b/dot_i3/i3lock-dpms
new file mode 100755
index 0000000..fa97182
--- /dev/null
+++ b/dot_i3/i3lock-dpms
@@ -0,0 +1,9 @@
+#!/bin/sh
+revert() {
+ xset dpms 0 0 0
+}
+trap revert SIGHUP SIGINT SIGTERM
+#xset +dpms dpms 5 5 5
+xset dpms force off
+i3lock -n -c 111111 -I 5
+revert